import { Theme } from "./theme";
import { Key } from "./key";
import { Offer } from "./offer";
import { Company } from "./company";
import type { Options } from "@/options";
import { Tag, Usecase } from "@mytiki/tiki-sdk-capacitor";
import type { Receipt } from "@mytiki/capture-receipt-capacitor";
export declare class Config {
    readonly theme: Theme;
    readonly key: Key;
    readonly company: Company;
    readonly learn: string;
    readonly onWithdrawl: (total: number) => number | undefined;
    readonly onReceipt?: (receipt: Receipt) => void;
    readonly offer: Offer;
    readonly tags: Tag[];
    readonly uses: {
        usecases: Usecase[];
        destinations: string[];
    }[];
    readonly payableType: string;
    constructor(options: Options);
}
export * from "./key";
export * from "./offer";
export * from "./theme";
